/*----------------------------------------------------------------------------*/
/* AASVER.CMD - An ICPAUSA program to adjust the CF2 file for input to AAS    */
/*                                                                            */
/* Note: REXX must be installed on the OS/2 system for this program to run.   */
/*                                                                            */
/* (c) Copyright International Business Machines Corp., 1993, 1994            */
/*----------------------------------------------------------------------------*/
/* Registering System RexxUtil Functions.                                     */
if rxFuncQuery('SysLoadFuncs') = 1 then do          /* Need to reg. REXXUTIL? */
   say 'Installing System Functions '                                      
   call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
   call SysLoadFuncs                                                       
   call RxFuncAdd 'SysFileDelete', 'RexxUtil', 'SysFileDelete'
   call RxFuncAdd 'SysFileSearch', 'RexxUtil', 'SysFileSearch'
   say 'RexxUtil loaded.'
   end

  /*  constants  */
  out01 = "5871RAL Ordering Vehicle                  1     "
  out02 = "___4949 OS/2 LAN Server V2.0 Advanced     1     "
  out03 = "___4950 OS/2 LAN Server V3.0 Advanced     1     "
  out04 = "___5303 NetWare 3.11 5-Users              1     "
  out05 = "___5304 NetWare 3.11 10-Users             1     "
  out06 = "___5305 NetWare 3.11 20-Users             1     "
  out07 = "___5306 NetWare 3.11 50-Users             1     "
  out08 = "___5307 NetWare 3.11 100-Users            1     "
  out09 = "___5308 NetWare 3.11 250-Users            1     "
  out10 = "5875RAL Ordering Vehicle                  1     "
  out11 = "___2859 MP Ext/2 OS/2 1.3                 1     "
  out12 = "___2860 Orth. RAID-5 Disk Array/2         1     "
  out13 = "___3072 MASS/2 OS/2                       1     "
  out14 = "___5297 MP Ext/2 OS/2 2.1                 1     "
  out15 = "___5298 Orth. RAID-5 Disk Array/2         1     "
  out16 = "___5299 MASS NetWare 3.11                 1     "
  out17 = "___5300 MP Ext NetWare                    1     "
  out18 = "___5301 Orth. RAID-5 Disk Array           1     "
  out19 = "___5302 Parallel Network Array            1     "
  out20 = "___2433 1GB 11.0ms SCSI 3.5in F.Disk     "
  out21 = "___8942 LANStreamer MC 32 Adapter        "
  out22 = "___0149 Token/Ring 16/4Mb Adapter/A      "
  out23 = "___6406 FDDI Fiber Base Adapter/A        "
  out24 = "___6407 FDDI Copper Base Adapter/A       "
  out25 = "___6412 FDDI Fiber Extender Adapter/A    "
  out26 = "___6413 FDDI Copper Extender Adapter/A   "
  out27 = "___6609 EtherStreamer MC 32 Adapter      "
  out28 = "___1091 Ethernet Adapter/A               "
  out29 = "___3043 Multiprotocol Adapter/A          "
  out30 = "___2000 3270 Emul. Adapter Local         "
  out31 = "___2530 FAXConcentrator Adapter/A        "
  out32 = "___1014 Dual Async Adaptr/A              "
  out33 = "8504001 8504 001 12  Monochrome Display   1     "
  out34 = "8504021 8504 021 12  Monochrome Display   1     "
  out35 = "9524001 9524 14  Color Display 14P        1     "
  out36 = "9525001 9525 15  Color Display (White)    1     "
  out37 = "9525B01 9525 15  Color Display (Black)    1     "
  out38 = "9527001 9527 17  Color Display 17P        1     "
  out39 = "9521001 9521 21  Color Display 21P        1     "
  out40 = "9524T01 9524 T01 14  Touch Display 14PT   1     "
  out41 = "9525T01 9525 15  T01 Touch Display 15PT   1     "
  out42 = "9527T01 9527 17  T01 Touch Display 17PT   1     "
  out43 = "9521T01 9521 21  T01 Touch Display 21PT   1     "
  out44 = "9524T21 9524 14  T21 Touch Display NE     1     "
  out45 = "9525T21 9525 15  T21 Touch Display NE     1     "
  out46 = "9527T21 9527 17  T21 Touch Display NE     1     "
  out47 = "9521T21 9521 21  T21 Touch Display NE     1     "
  out48 = "6321001 6321 14  Color Display            1     "
  out49 = "6324001 6324 14  Color Display 14V        1     "
  out50 = "6325001 6325 15  Color Display 15V        1     "
  out51 = "6527001 6527 9  Color Display             1     "
  out52 = "___9501 Redundant Token-Ring FC 0149     "
  out53 = "___9502 Redundant Ethernet FC 1091       "
  out54 = "___9503 Redundant 3270 Conn FC 2000      "
  out55 = "___9504 Redundant FAX Concn FC 2530      "
  out56 = "___9590 Redundant LANStreamer FC 8942    "
  out57 = "___1592 Auto LANStreamer MC 32 Adapter   "
  out58 = "___6540 FDDI UTP5 Base Adapter           "
  dsp01 = "8504001"
  dsp02 = "8504021"
  dsp03 = "9524001"
  dsp04 = "9525001"
  dsp05 = "9525B01"
  dsp06 = "9527001"
  dsp07 = "9521001"
  dsp08 = "9524T01"
  dsp09 = "9525T01"
  dsp10 = "9527T01"
  dsp11 = "9521T01"
  dsp12 = "9524T21"
  dsp13 = "9525T21"
  dsp14 = "9527T21"
  dsp15 = "9521T21"
  dsp16 = "6321001"
  dsp17 = "6324001"
  dsp18 = "6325001"
  dsp19 = "6527001"
  hrd01 = "8600001"
  hrd02 = "8600002"
  hrd03 = "8600003"
  hrd04 = "___2433"
  hrd05 = "___8942"
  hrd06 = "___0149"
  hrd07 = "___6406"
  hrd08 = "___6407"
  hrd09 = "___6412"
  hrd10 = "___6413"
  hrd11 = "___6609"
  hrd12 = "___1091"
  hrd13 = "___3043"
  hrd14 = "___2000"
  hrd15 = "___2530"
  hrd16 = "___1014"
  hrd17 = "___8770"
  hrd18 = "___5519"
  hrd19 = "___5639"
  hrd20 = "___2440"
  hrd21 = "___2432"
  hrd22 = "___2431"
  hrd23 = "___2653"
  hrd24 = "___2436"
  hrd25 = "___5794"
  hrd26 = "___2438"
  hrd27 = "___2446"
  hrd28 = "___2448"
  hrd29 = "___2447"
  hrd30 = "___2445"
  hrd31 = "___7423"
  hrd32 = "___7446"
  hrd33 = "___2441"
  hrd34 = "___2442"
  hrd35 = "___2443"
  hrd36 = "___2444"
  hrd37 = "___9501"
  hrd38 = "___9502"
  hrd39 = "___9503"
  hrd40 = "___9504"
  hrd41 = "___9590"
  hrd42 = "___9311"
  hrd43 = "___9301"
  hrd44 = "___9302"
  hrd45 = "___9303"
  hrd46 = "___9304"
  hrd47 = "___9305"
  hrd48 = "___9306"
  hrd49 = "___9307"
  hrd50 = "___9308"
  hrd51 = "___9220"
  hrd52 = "___9221"
  hrd53 = "___9222"
  hrd54 = "___9223"
  hrd55 = "___9224"
  hrd56 = "___9505"
  hrd57 = "___9506"
  hrd58 = "___9507"
  hrd59 = "___9508"
  hrd60 = "___9509"
  hrd61 = "___9510"
  hrd62 = "___9511"
  hrd63 = "___9512"
  hrd64 = "___9515"
  hrd65 = "___9516"
  hrd66 = "___9517"
  hrd67 = "___9518"
  hrd68 = "___9519"
  hrd69 = "___9520"
  hrd70 = "___1592"
  hrd71 = "___6540"
  sft01 = "5871RAL" 
  sft02 = "___4949" 
  sft03 = "___4950" 
  sft04 = "___5303" 
  sft05 = "___5304" 
  sft06 = "___5305" 
  sft07 = "___5306" 
  sft08 = "___5307" 
  sft09 = "___5308" 
  sft10 = "5875RAL" 
  sft11 = "___2859" 
  sft12 = "___2860" 
  sft13 = "___3072" 
  sft14 = "___5297" 
  sft15 = "___5298" 
  sft16 = "___5299" 
  sft17 = "___5300" 
  sft18 = "___5301" 
  sft19 = "___5302" 
  arr01 = "___9000"
  arr02 = "___9001"
  arr03 = "___9002"
  arr04 = "___9003"
  arr05 = "___9004"
  arr06 = "___9005"
  arr07 = "___9006"
  arr08 = "___9007"
  arr09 = "___9008"
  arr10 = "___9021"
  arr11 = "___9031"
  arr12 = "___9041"
  arr13 = "___9051"
  arr14 = "___9061"
  arr15 = "___9071"
  arr16 = "___9081"
  arr17 = "___9091"
  arr18 = "___9101"
  arr29 = "___9111"
  arr20 = "___9121"
  arr21 = "___9131"
  arr22 = "___9141"
  arr23 = "___9151"
  arr24 = "___9161"
  arr25 = "___9022"
  arr26 = "___9032"
  arr27 = "___9042"
  arr28 = "___9052"
  arr29 = "___9062"
  arr30 = "___9072"
  arr31 = "___9082"
  arr32 = "___9092"
  arr33 = "___9102"
  arr34 = "___9112"
  arr35 = "___9122"
  arr36 = "___9132"
  arr37 = "___9142"
  arr38 = "___9152"
  arr39 = "___9162"
  arr40 = "___9023"
  arr41 = "___9033"
  arr42 = "___9043"
  arr43 = "___9053"
  arr44 = "___9063"
  arr45 = "___9073"
  arr46 = "___9083"
  arr47 = "___9093"
  arr48 = "___9103"
  arr49 = "___9113"
  arr50 = "___9123"
  arr51 = "___9133"
  arr52 = "___9143"
  arr53 = "___9153"
  arr54 = "___9163"
  arr55 = "___9024"
  arr56 = "___9034"
  arr57 = "___9044"
  arr58 = "___9054"
  arr59 = "___9064"
  arr60 = "___9074"
  arr61 = "___9084"
  arr62 = "___9094"
  arr63 = "___9104"
  arr64 = "___9114"
  arr65 = "___9124"
  arr66 = "___9134"
  arr67 = "___9144"
  arr68 = "___9154"
  arr69 = "___9164"
  arr70 = "___9025"
  arr71 = "___9035"
  arr72 = "___9045"
  arr73 = "___9055"
  arr74 = "___9065"
  arr75 = "___9075"
  arr76 = "___9085"
  arr77 = "___9095"
  arr78 = "___9105"
  arr79 = "___9115"
  arr80 = "___9125"
  arr81 = "___9135"
  arr82 = "___9145"
  arr83 = "___9155"
  arr84 = "___9165"
  arr85 = "___9026"
  arr86 = "___9036"
  arr87 = "___9046"
  arr88 = "___9056"
  arr89 = "___9066"
  arr90 = "___9076"
  arr91 = "___9086"
  arr92 = "___9096"
  arr93 = "___9106"
  arr94 = "___9116"
  arr95 = "___9126"
  arr96 = "___9136"
  arr97 = "___9146"
  arr98 = "___9156"
  arr99 = "___9166"
  arr100 = "___9027"
  arr101 = "___9037"
  arr102 = "___9047"
  arr103 = "___9057"
  arr104 = "___9067"
  arr105 = "___9077"
  arr106 = "___9087"
  arr107 = "___9097"
  arr108 = "___9107"
  arr109 = "___9117"
  arr110 = "___9127"
  arr111 = "___9137"
  arr112 = "___9147"
  arr113 = "___9157"
  arr114 = "___9167"
  arr115 = "___9028"
  arr116 = "___9038"
  arr117 = "___9048"
  arr118 = "___9058"
  arr119 = "___9068"
  arr120 = "___9078"
  arr121 = "___9088"
  arr122 = "___9098"
  arr123 = "___9108"
  arr124 = "___9118"
  arr125 = "___9128"
  arr126 = "___9138"
  arr127 = "___9148"
  arr128 = "___9158"
  arr129 = "___9168"
  arr130 = "___9211"
  arr131 = "___9212"
  arr132 = "___9213"
  arr133 = "___9214"
  arr134 = "___9215"
  arr135 = "___9216"
  arr136 = "___9217"
  arr137 = "___9218"
  period = '.'

  /*  flags   */
  hardflag = 1

  /* variables */
  s8600001 = 0        /*   set   */
  s8600002 = 0        /*   set   */
  s8600003 = 0        /*   set   */
  dasd2433 = 0        /*   set   */
  adpt8942 = 0        /*   set   */
  adpt1592 = 0        /*   set   */
  adpt6540 = 0        /*   set   */
  adpt0149 = 0        /*   set   */
  adpt6406 = 0        /*   set   */
  adpt6407 = 0        /*   set   */
  adpt6412 = 0        /*   set   */
  adpt6413 = 0        /*   set   */
  adpt6609 = 0        /*   set   */
  adpt1091 = 0        /*   set   */
  adpt3043 = 0        /*   set   */
  adpt2000 = 0        /*   set   */
  adpt2530 = 0        /*   set   */
  adpt1014 = 0        /*   set   */
  hard8770 = 0        /*   set   */
  hard5519 = 0        /*   set   */  
  hard5639 = 0        /*   set   */
  hard2440 = 0        /*   set   */ 
  hard2432 = 0        /*   set   */
  hard2431 = 0        /*   set   */
  hard2653 = 0        /*   set   */
  hard2436 = 0        /*   set   */ 
  hard5794 = 0        /*   set   */
  hard2438 = 0        /*   set   */ 
  hard2446 = 0        /*   set   */
  hard2448 = 0        /*   set   */ 
  hard2447 = 0        /*   set   */
  hard2445 = 0        /*   set   */ 
  hard7423 = 0        /*   set   */
  hard7446 = 0        /*   set   */  
  hard2441 = 0        /*   set   */
  hard2442 = 0        /*   set   */
  hard2443 = 0        /*   set   */
  hard2444 = 0        /*   set   */
  hard9501 = 0        /*   set   */
  hard9502 = 0        /*   set   */
  hard9503 = 0        /*   set   */
  hard9504 = 0        /*   set   */
  hard9590 = 0        /*   set   */
  hard9311 = 0        /*   set   */ 
  hard9301 = 0        /*   set   */
  hard9302 = 0        /*   set   */ 
  hard9303 = 0        /*   set   */ 
  hard9304 = 0        /*   set   */ 
  hard9305 = 0        /*   set   */ 
  hard9306 = 0        /*   set   */ 
  hard9307 = 0        /*   set   */ 
  hard9308 = 0        /*   set   */ 
  hard9220 = 0        /*   set   */
  hard9221 = 0        /*   set   */
  hard9222 = 0        /*   set   */
  hard9223 = 0        /*   set   */
  hard9224 = 0        /*   set   */
  hard9505 = 0        /*   set   */ 
  hard9506 = 0        /*   set   */ 
  hard9507 = 0        /*   set   */ 
  hard9508 = 0        /*   set   */ 
  hard9509 = 0        /*   set   */ 
  hard9510 = 0        /*   set   */ 
  hard9511 = 0        /*   set   */ 
  hard9512 = 0        /*   set   */ 
  hard9515 = 0        /*   set   */ 
  hard9516 = 0        /*   set   */ 
  hard9517 = 0        /*   set   */ 
  hard9518 = 0        /*   set   */ 
  hard9519 = 0        /*   set   */ 
  hard9520 = 0        /*   set   */ 
  d8504001 = 0        /*   set   */ 
  d8504021 = 0        /*   set   */ 
  d9524001 = 0        /*   set   */ 
  d9525001 = 0        /*   set   */ 
  d9525B01 = 0        /*   set   */ 
  d9527001 = 0        /*   set   */ 
  d9521001 = 0        /*   set   */ 
  d9524T01 = 0        /*   set   */ 
  d9525T01 = 0        /*   set   */ 
  d9527T01 = 0        /*   set   */ 
  d9521T01 = 0        /*   set   */ 
  d9524T21 = 0        /*   set   */ 
  d9525T21 = 0        /*   set   */ 
  d9527T21 = 0        /*   set   */ 
  d9521T21 = 0        /*   set   */ 
  d6321001 = 0        /*   set   */ 
  d6324001 = 0        /*   set   */ 
  d6325001 = 0        /*   set   */ 
  d6527001 = 0        /*   set   */ 
  sftflg01 = 0        /*   set   */ 
  sftflg02 = 0        /*   set   */ 
  sftflg03 = 0        /*   set   */ 
  sftflg04 = 0        /*   set   */ 
  sftflg05 = 0        /*   set   */ 
  sftflg06 = 0        /*   set   */ 
  sftflg07 = 0        /*   set   */ 
  sftflg08 = 0        /*   set   */ 
  sftflg09 = 0        /*   set   */ 
  sftflg10 = 0        /*   set   */ 
  sftflg11 = 0        /*   set   */ 
  sftflg12 = 0        /*   set   */ 
  sftflg13 = 0        /*   set   */ 
  sftflg14 = 0        /*   set   */ 
  sftflg15 = 0        /*   set   */ 
  sftflg16 = 0        /*   set   */ 
  sftflg17 = 0        /*   set   */ 
  sftflg18 = 0        /*   set   */ 
  sftflg19 = 0        /*   set   */ 
  arry9000 = 0        /*   set   */
  arry9001 = 0        /*   set   */
  arry9002 = 0        /*   set   */
  arry9003 = 0        /*   set   */
  arry9004 = 0        /*   set   */
  arry9005 = 0        /*   set   */
  arry9006 = 0        /*   set   */
  arry9007 = 0        /*   set   */
  arry9008 = 0        /*   set   */
  arry9021 = 0        /*   set   */
  arry9031 = 0        /*   set   */
  arry9041 = 0        /*   set   */
  arry9051 = 0        /*   set   */
  arry9061 = 0        /*   set   */
  arry9071 = 0        /*   set   */
  arry9081 = 0        /*   set   */
  arry9091 = 0        /*   set   */
  arry9101 = 0        /*   set   */
  arry9111 = 0        /*   set   */
  arry9121 = 0        /*   set   */
  arry9131 = 0        /*   set   */
  arry9141 = 0        /*   set   */
  arry9151 = 0        /*   set   */
  arry9161 = 0        /*   set   */
  arry9022 = 0        /*   set   */
  arry9032 = 0        /*   set   */
  arry9042 = 0        /*   set   */
  arry9052 = 0        /*   set   */
  arry9062 = 0        /*   set   */
  arry9072 = 0        /*   set   */
  arry9082 = 0        /*   set   */
  arry9092 = 0        /*   set   */
  arry9102 = 0        /*   set   */
  arry9112 = 0        /*   set   */
  arry9122 = 0        /*   set   */
  arry9132 = 0        /*   set   */
  arry9142 = 0        /*   set   */
  arry9152 = 0        /*   set   */
  arry9162 = 0        /*   set   */
  arry9023 = 0        /*   set   */
  arry9033 = 0        /*   set   */
  arry9043 = 0        /*   set   */
  arry9053 = 0        /*   set   */
  arry9063 = 0        /*   set   */
  arry9073 = 0        /*   set   */
  arry9083 = 0        /*   set   */
  arry9093 = 0        /*   set   */
  arry9103 = 0        /*   set   */
  arry9113 = 0        /*   set   */
  arry9123 = 0        /*   set   */
  arry9133 = 0        /*   set   */
  arry9143 = 0        /*   set   */
  arry9153 = 0        /*   set   */
  arry9163 = 0        /*   set   */
  arry9024 = 0        /*   set   */
  arry9034 = 0        /*   set   */
  arry9044 = 0        /*   set   */
  arry9054 = 0        /*   set   */
  arry9064 = 0        /*   set   */
  arry9074 = 0        /*   set   */
  arry9084 = 0        /*   set   */
  arry9094 = 0        /*   set   */
  arry9104 = 0        /*   set   */
  arry9114 = 0        /*   set   */
  arry9124 = 0        /*   set   */
  arry9134 = 0        /*   set   */
  arry9144 = 0        /*   set   */
  arry9154 = 0        /*   set   */
  arry9164 = 0        /*   set   */
  arry9025 = 0        /*   set   */
  arry9035 = 0        /*   set   */
  arry9045 = 0        /*   set   */
  arry9055 = 0        /*   set   */
  arry9065 = 0        /*   set   */
  arry9075 = 0        /*   set   */
  arry9085 = 0        /*   set   */
  arry9095 = 0        /*   set   */
  arry9105 = 0        /*   set   */
  arry9115 = 0        /*   set   */
  arry9125 = 0        /*   set   */
  arry9135 = 0        /*   set   */
  arry9145 = 0        /*   set   */
  arry9155 = 0        /*   set   */
  arry9165 = 0        /*   set   */
  arry9026 = 0        /*   set   */
  arry9036 = 0        /*   set   */
  arry9046 = 0        /*   set   */
  arry9056 = 0        /*   set   */
  arry9066 = 0        /*   set   */
  arry9076 = 0        /*   set   */
  arry9086 = 0        /*   set   */
  arry9096 = 0        /*   set   */
  arry9106 = 0        /*   set   */
  arry9116 = 0        /*   set   */
  arry9126 = 0        /*   set   */
  arry9136 = 0        /*   set   */
  arry9146 = 0        /*   set   */
  arry9156 = 0        /*   set   */
  arry9166 = 0        /*   set   */
  arry9027 = 0        /*   set   */
  arry9037 = 0        /*   set   */
  arry9047 = 0        /*   set   */
  arry9057 = 0        /*   set   */
  arry9067 = 0        /*   set   */
  arry9077 = 0        /*   set   */
  arry9087 = 0        /*   set   */
  arry9097 = 0        /*   set   */
  arry9107 = 0        /*   set   */
  arry9117 = 0        /*   set   */
  arry9127 = 0        /*   set   */
  arry9137 = 0        /*   set   */
  arry9147 = 0        /*   set   */
  arry9157 = 0        /*   set   */
  arry9167 = 0        /*   set   */
  arry9028 = 0        /*   set   */
  arry9038 = 0        /*   set   */
  arry9048 = 0        /*   set   */
  arry9058 = 0        /*   set   */
  arry9068 = 0        /*   set   */
  arry9078 = 0        /*   set   */
  arry9088 = 0        /*   set   */
  arry9098 = 0        /*   set   */
  arry9108 = 0        /*   set   */
  arry9118 = 0        /*   set   */
  arry9128 = 0        /*   set   */
  arry9138 = 0        /*   set   */
  arry9148 = 0        /*   set   */
  arry9158 = 0        /*   set   */
  arry9168 = 0        /*   set   */
  arry9211 = 0        /*   set   */
  arry9212 = 0        /*   set   */
  arry9213 = 0        /*   set   */
  arry9214 = 0        /*   set   */
  arry9215 = 0        /*   set   */
  arry9216 = 0        /*   set   */
  arry9217 = 0        /*   set   */
  arry9218 = 0        /*   set   */

  /* read args (non-portable because of VM's vs.OS/2's file name convention) */
  /* if none, put out a help                                             */
askagn:
Say CENTER('Please enter the name of the configuration file',78)
Say CENTER('include the .CF2 extension.',78)
Say
Parse Upper Pull response .
f1 = response
  nam1 = f1
  parse var nam1 name (period) ext

  outnme = name".aas"
  f2 = outnme
  /* kill the output file.. maybe  */
  if (LINES(f2)) then do
         /* first close the file then kill it  */
         CALL LINEOUT f2
         CALL SysFileDelete f2
         if (RESULT <> 0) then do
            Say "error deleting file " f2 "rc is" RESULT
            exit
         end
   end

  /* read the input to see if this is a 195 or 295         */
  /* configuration otherwise post message and exit         */

    buffr = LINEIN(f1)
    parse var buffr partn desc qty 

    if partn = hrd01 | partn = hrd02 | partn = hrd03 then do
     CALL LINEOUT f2, partn desc qty /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end
     if partn = hrd01 then do
     s8600001 = 1
     end
     if partn = hrd02 then do
     s8600002 = 1
     end
     if partn = hrd03 then do
     s8600003 = 1
     end
  /* read the input, search for keywords and mark flags if */
  /* software otherwise hardware so output to new file     */

  do while (LINES(f1))

    /* search for matches .....  NON-PORTABLE  */

    buffr = LINEIN(f1)
    parse var buffr partn desc qty 

     if partn = sft01 then do /* if 5871RAL */
     sftflg01 = 1             /* set flag   */
     hardflag = 0
     end
    
     if partn = sft02 then do /* if FC 4949 */
     sftflg02 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft03 then do /* if FC 4950 */
     sftflg03 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft04 then do /* if FC 5303 */
     sftflg04 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft05 then do /* if FC 5304 */
     sftflg05 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft06 then do /* if FC 5305 */
     sftflg06 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft07 then do /* if FC 5306 */
     sftflg07 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft08 then do /* if FC 5307 */
     sftflg08 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft09 then do /* if FC 5308 */
     sftflg09 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft10 then do /* if 5875RAL */
     sftflg10 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft11 then do /* if FC 2859 */
     sftflg11 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft12 then do /* if FC 2860 */
     sftflg12 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft13 then do /* if FC 3072 */
     sftflg13 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft14 then do /* if FC 5297 */
     sftflg14 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft15 then do /* if FC 5298 */
     sftflg15 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft16 then do /* if FC 5299 */
     sftflg16 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft17 then do /* if FC 5300 */
     sftflg17 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft18 then do /* if FC 5301 */
     sftflg18 = 1             /* set flag   */
     hardflag = 0
     end

     if partn = sft19 then do /* if FC 5302 */
     sftflg19 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd17 then do /* if FC 8770 */
     hard8770 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd18 then do /* if FC 5519 */
     hard5519 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd19 then do /* if FC 5639 */
     hard5639 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd20 then do /* if FC 2440 */
     hard2440 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd21 then do /* if FC 2432 */
     hard2432 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd22 then do /* if FC 2431 */
     hard2431 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd23 then do /* if FC 2653 */
     hard2653 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd24 then do /* if FC 2436 */
     hard2436 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd25 then do /* if FC 5794 */
     hard5794 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd26 then do /* if FC 2438 */
     hard2438 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd27 then do /* if FC 2446 */
     hard2446 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd28 then do /* if FC 2448 */
     hard2448 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd29 then do /* if FC 2447 */
     hard2447 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd30 then do /* if FC 2445 */
     hard2445 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd31 then do /* if FC 7423 */
     hard7423 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd32 then do /* if FC 7446 */
     hard7446 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd33 then do /* if FC 2441 */
     hard2441 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd34 then do /* if FC 2442 */
     hard2442 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd35 then do /* if FC 2443 */
     hard2443 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd36 then do /* if FC 2444 */
     hard2444 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd42 then do /* if FC 9311 */
     hard9311 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd43 then do /* if FC 9301 */
     hard9301 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd44 then do /* if FC 9302 */
     hard9302 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd45 then do /* if FC 9303 */
     hard9303 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd46 then do /* if FC 9304 */
     hard9304 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd47 then do /* if FC 9305 */
     hard9305 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd48 then do /* if FC 9306 */
     hard9306 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd49 then do /* if FC 9307 */
     hard9307 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd50 then do /* if FC 9308 */
     hard9308 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd51 then do /* if FC 9220 */
     hard9220 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd52 then do /* if FC 9221 */
     hard9221 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd53 then do /* if FC 9222 */
     hard9222 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd54 then do /* if FC 9223 */
     hard9223 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd55 then do /* if FC 9224 */
     hard9224 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd56 then do /* if FC 9505 */
     hard9505 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd57 then do /* if FC 9506 */
     hard9506 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd58 then do /* if FC 9507 */
     hard9507 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd59 then do /* if FC 9508 */
     hard9508 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd60 then do /* if FC 9509 */
     hard9509 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd61 then do /* if FC 9510 */
     hard9510 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd62 then do /* if FC 9511 */
     hard9511 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd63 then do /* if FC 9512 */
     hard9512 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd64 then do /* if FC 9515 */
     hard9515 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd65 then do /* if FC 9516 */
     hard9516 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd66 then do /* if FC 9517 */
     hard9517 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd67 then do /* if FC 9518 */
     hard9518 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd68 then do /* if FC 9519 */
     hard9519 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = hrd69 then do /* if FC 9520 */
     hard9520 = 1             /* set flag   */
     end                      /* must be hardware */

     if partn = arr01 then do /* if FC 9000 */
     arry9000 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr02 then do /* if FC 9001 */
     arry9001 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr03 then do /* if FC 9002 */
     arry9002 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr04 then do /* if FC 9003 */
     arry9003 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr05 then do /* if FC 9004 */
     arry9004 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr06 then do /* if FC 9005 */
     arry9005 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr07 then do /* if FC 9006 */
     arry9006 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr08 then do /* if FC 9007 */
     arry9007 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr09 then do /* if FC 9008 */
     arry9008 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr10 then do /* if FC 9021 */
     arry9021 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr11 then do /* if FC 9031 */
     arry9031 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr12 then do /* if FC 9041 */
     arry9041 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr13 then do /* if FC 9051 */
     arry9051 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr14 then do /* if FC 9061 */
     arry9061 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr15 then do /* if FC 9071 */
     arry9071 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr16 then do /* if FC 9081 */
     arry9081 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr17 then do /* if FC 9091 */
     arry9091 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr18 then do /* if FC 9101 */
     arry9101 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr19 then do /* if FC 9111 */
     arry9111 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr20 then do /* if FC 9121 */
     arry9121 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr21 then do /* if FC 9131 */
     arry9131 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr22 then do /* if FC 9141 */
     arry9141 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr23 then do /* if FC 9151 */
     arry9151 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr24 then do /* if FC 9161 */
     arry9161 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr25 then do /* if FC 9022 */
     arry9022 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr26 then do /* if FC 9032 */
     arry9032 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr27 then do /* if FC 9042 */
     arry9042 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr28 then do /* if FC 9052 */
     arry9052 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr29 then do /* if FC 9062 */
     arry9062 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr30 then do /* if FC 9072 */
     arry9072 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr31 then do /* if FC 9082 */
     arry9082 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr32 then do /* if FC 9092 */
     arry9092 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr33 then do /* if FC 9102 */
     arry9102 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr34 then do /* if FC 9112 */
     arry9112 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr35 then do /* if FC 9122 */
     arry9122 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr36 then do /* if FC 9132 */
     arry9132 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr37 then do /* if FC 9142 */
     arry9142 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr38 then do /* if FC 9152 */
     arry9152 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr39 then do /* if FC 9162 */
     arry9162 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr40 then do /* if FC 9023 */
     arry9023 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr41 then do /* if FC 9033 */
     arry9033 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr42 then do /* if FC 9043 */
     arry9043 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr43 then do /* if FC 9053 */
     arry9053 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr44 then do /* if FC 9063 */
     arry9063 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr45 then do /* if FC 9073 */
     arry9073 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr46 then do /* if FC 9083 */
     arry9083 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr47 then do /* if FC 9093 */
     arry9093 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr48 then do /* if FC 9103 */
     arry9103 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr49 then do /* if FC 9113 */
     arry9113 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr50 then do /* if FC 9123 */
     arry9123 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr51 then do /* if FC 9133 */
     arry9133 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr52 then do /* if FC 9143 */
     arry9143 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr53 then do /* if FC 9153 */
     arry9153 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr54 then do /* if FC 9163 */
     arry9163 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr55 then do /* if FC 9024 */
     arry9024 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr56 then do /* if FC 9034 */
     arry9034 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr57 then do /* if FC 9044 */
     arry9044 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr58 then do /* if FC 9054 */
     arry9054 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr59 then do /* if FC 9064 */
     arry9064 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr60 then do /* if FC 9074 */
     arry9074 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr61 then do /* if FC 9084 */
     arry9084 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr62 then do /* if FC 9094 */
     arry9094 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr63 then do /* if FC 9104 */
     arry9104 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr64 then do /* if FC 9114 */
     arry9114 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr65 then do /* if FC 9124 */
     arry9124 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr66 then do /* if FC 9134 */
     arry9134 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr67 then do /* if FC 9144 */
     arry9144 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr68 then do /* if FC 9154 */
     arry9154 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr69 then do /* if FC 9164 */
     arry9164 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr70 then do /* if FC 9025 */
     arry9025 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr71 then do /* if FC 9035 */
     arry9035 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr72 then do /* if FC 9045 */
     arry9045 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr73 then do /* if FC 9055 */
     arry9055 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr74 then do /* if FC 9065 */
     arry9065 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr75 then do /* if FC 9075 */
     arry9075 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr76 then do /* if FC 9085 */
     arry9085 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr77 then do /* if FC 9095 */
     arry9095 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr78 then do /* if FC 9105 */
     arry9105 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr79 then do /* if FC 9115 */
     arry9115 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr80 then do /* if FC 9125 */
     arry9125 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr81 then do /* if FC 9135 */
     arry9135 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr82 then do /* if FC 9145 */
     arry9145 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr83 then do /* if FC 9155 */
     arry9155 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr84 then do /* if FC 9165 */
     arry9165 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr85 then do /* if FC 9026 */
     arry9026 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr86 then do /* if FC 9036 */
     arry9036 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr87 then do /* if FC 9046 */
     arry9046 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr88 then do /* if FC 9056 */
     arry9056 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr89 then do /* if FC 9066 */
     arry9066 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr90 then do /* if FC 9076 */
     arry9076 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr91 then do /* if FC 9086 */
     arry9086 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr92 then do /* if FC 9096 */
     arry9096 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr93 then do /* if FC 9106 */
     arry9106 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr94 then do /* if FC 9116 */
     arry9116 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr95 then do /* if FC 9126 */
     arry9126 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr96 then do /* if FC 9136 */
     arry9136 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr97 then do /* if FC 9146 */
     arry9146 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr98 then do /* if FC 9156 */
     arry9156 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr99 then do /* if FC 9166 */
     arry9166 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr100 then do /* if FC 9027 */
     arry9027 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr101 then do /* if FC 9037 */
     arry9037 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr102 then do /* if FC 9047 */
     arry9047 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr103 then do /* if FC 9057 */
     arry9057 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr104 then do /* if FC 9067 */
     arry9067 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr105 then do /* if FC 9077 */
     arry9077 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr106 then do /* if FC 9087 */
     arry9087 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr107 then do /* if FC 9097 */
     arry9097 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr108 then do /* if FC 9107 */
     arry9107 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr109 then do /* if FC 9117 */
     arry9117 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr110 then do /* if FC 9127 */
     arry9127 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr111 then do /* if FC 9137 */
     arry9137 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr112 then do /* if FC 9147 */
     arry9147 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr113 then do /* if FC 9157 */
     arry9157 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr114 then do /* if FC 9167 */
     arry9167 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr115 then do /* if FC 9028 */
     arry9028 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr116 then do /* if FC 9038 */
     arry9038 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr117 then do /* if FC 9048 */
     arry9048 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr118 then do /* if FC 9058 */
     arry9058 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr119 then do /* if FC 9068 */
     arry9068 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr120 then do /* if FC 9078 */
     arry9078 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr121 then do /* if FC 9088 */
     arry9088 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr122 then do /* if FC 9098 */
     arry9098 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr123 then do /* if FC 9108 */
     arry9108 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr124 then do /* if FC 9118 */
     arry9118 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr125 then do /* if FC 9128 */
     arry9128 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr126 then do /* if FC 9138 */
     arry9138 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr127 then do /* if FC 9148 */
     arry9148 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr128 then do /* if FC 9158 */
     arry9158 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr129 then do /* if FC 9168 */
     arry9168 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr130 then do /* if FC 9211 */
     arry9211 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr131 then do /* if FC 9212 */
     arry9212 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr132 then do /* if FC 9213 */
     arry9213 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr133 then do /* if FC 9214 */
     arry9214 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr134 then do /* if FC 9215 */
     arry9215 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr135 then do /* if FC 9216 */
     arry9216 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr136 then do /* if FC 9217 */
     arry9217 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = arr137 then do /* if FC 9218 */
     arry9218 = 1             /* set flag   */
     end                      /* must be an array */

     if partn = dsp01 then do /* if 8504001 */
     d8504001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp02 then do /* if 8504021 */
     d8504021 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp03 then do /* if 9524001 */
     d9524001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp04 then do /* if 9525001 */
     d9525001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp05 then do /* if 9525B01 */
     d9525B01 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp06 then do /* if 9527001 */
     d9527001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp07 then do /* if 9521001 */
     d9521001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp08 then do /* if 9524T01 */
     d9524T01 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp09 then do /* if 9525T01 */
     d9525T01 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp10 then do /* if 9527T01 */
     d9527T01 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp11 then do /* if 9521T01 */
     d9521T01 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp12 then do /* if 9524T21 */
     d9524T21 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp13 then do /* if 9525T21 */
     d9525T21 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp14 then do /* if 9527T21 */
     d9527T21 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp15 then do /* if 9521T21 */
     d9521T21 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp16 then do /* if 6321001 */
     d6321001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp17 then do /* if 6324001 */
     d6324001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp18 then do /* if 6325001 */
     d6325001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = dsp19 then do /* if 6327001 */
     d6327001 = 1             /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd37 then do /* if FC 9501 */
     hard9501 = hard9501 + 1  /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd38 then do /* if FC 9502 */
     hard9502 = hard9502 + 1  /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd39 then do /* if FC 9503 */
     hard9503 = hard9503 + 1  /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd40 then do /* if FC 9504 */
     hard9504 = hard9504 + 1  /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd41 then do /* if FC 9590 */
     hard9590 = hard9590 + 1  /* set flag   */
     hardflag = 0
     end                      /* must be hardware */

     if partn = hrd04 then do /* if FC 2433 */
     parse var qty num33 rest
      if num33 = 1 then do
      dasd2433 = dasd2433 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      dasd2433 = dasd2433 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      dasd2433 = dasd2433 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      dasd2433 = dasd2433 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      dasd2433 = dasd2433 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      dasd2433 = dasd2433 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      dasd2433 = dasd2433 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      dasd2433 = dasd2433 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      dasd2433 = dasd2433 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd05 then do /* if FC 8942 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt8942 = adpt8942 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt8942 = adpt8942 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt8942 = adpt8942 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt8942 = adpt8942 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt8942 = adpt8942 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt8942 = adpt8942 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt8942 = adpt8942 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt8942 = adpt8942 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt8942 = adpt8942 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd70 then do /* if FC 1592 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt1592 = adpt1592 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt1592 = adpt1592 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt1592 = adpt1592 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt1592 = adpt1592 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt1592 = adpt1592 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt1592 = adpt1592 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt1592 = adpt1592 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt1592 = adpt1592 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt1592 = adpt1592 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd71 then do /* if FC 6540 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt6540 = adpt6540 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt6540 = adpt6540 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt6540 = adpt6540 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt6540 = adpt6540 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt6540 = adpt6540 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt6540 = adpt6540 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt6540 = adpt6540 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt6540 = adpt6540 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt6540 = adpt6540 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd06 then do /* if FC 0149 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt0149 = adpt0149 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt0149 = adpt0149 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt0149 = adpt0149 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt0149 = adpt0149 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt0149 = adpt0149 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt0149 = adpt0149 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt0149 = adpt0149 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt0149 = adpt0149 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt0149 = adpt0149 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd07 then do /* if FC 6406 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt6406 = adpt6406 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt6406 = adpt6406 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt6406 = adpt6406 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt6406 = adpt6406 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt6406 = adpt6406 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt6406 = adpt6406 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt6406 = adpt6406 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt6406 = adpt6406 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt6406 = adpt6406 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd08 then do /* if FC 6407 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt6407 = adpt6407 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt6407 = adpt6407 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt6407 = adpt6407 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt6407 = adpt6407 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt6407 = adpt6407 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt6407 = adpt6407 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt6407 = adpt6407 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt6407 = adpt6407 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt6407 = adpt6407 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd09 then do /* if FC 6412 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt6412 = adpt6412 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt6412 = adpt6412 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt6412 = adpt6412 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt6412 = adpt6412 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt6412 = adpt6412 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt6412 = adpt6412 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt6412 = adpt6412 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt6412 = adpt6412 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt6412 = adpt6412 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd10 then do /* if FC 6413 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt6413 = adpt6413 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt6413 = adpt6413 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt6413 = adpt6413 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt6413 = adpt6413 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt6413 = adpt6413 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt6413 = adpt6413 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt6413 = adpt6413 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt6413 = adpt6413 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt6413 = adpt6413 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd11 then do /* if FC 6609 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt6609 = adpt6609 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt6609 = adpt6609 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt6609 = adpt6609 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt6609 = adpt6609 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt6609 = adpt6609 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt6609 = adpt6609 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt6609 = adpt6609 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt6609 = adpt6609 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt6609 = adpt6609 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd12 then do /* if FC 1091 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt1091 = adpt1091 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt1091 = adpt1091 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt1091 = adpt1091 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt1091 = adpt1091 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt1091 = adpt1091 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt1091 = adpt1091 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt1091 = adpt1091 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt1091 = adpt1091 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt1091 = adpt1091 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd13 then do /* if FC 3043 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt3043 = adpt3043 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt3043 = adpt3043 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt3043 = adpt3043 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt3043 = adpt3043 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt3043 = adpt3043 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt3043 = adpt3043 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt3043 = adpt3043 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt3043 = adpt3043 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt3043 = adpt3043 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd14 then do /* if FC 2000 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt2000 = adpt2000 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt2000 = adpt2000 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt2000 = adpt2000 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt2000 = adpt2000 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt2000 = adpt2000 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt2000 = adpt2000 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt2000 = adpt2000 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt2000 = adpt2000 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt2000 = adpt2000 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd15 then do /* if FC 2530 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt2530 = adpt2530 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt2530 = adpt2530 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt2530 = adpt2530 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt2530 = adpt2530 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt2530 = adpt2530 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt2530 = adpt2530 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt2530 = adpt2530 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt2530 = adpt2530 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt2530 = adpt2530 + 9 /* set flag   */
      hardflag = 0
      end
     end

     if partn = hrd16 then do /* if FC 1014 */
     parse var qty num33 rest
      if num33 = 1 then do
      adpt1014 = adpt1014 + 1 /* set flag   */
      hardflag = 0
      end
      if num33 = 2 then do
      adpt1014 = adpt1014 + 2 /* set flag   */
      hardflag = 0
      end
      if num33 = 3 then do
      adpt1014 = adpt1014 + 3 /* set flag   */
      hardflag = 0
      end
      if num33 = 4 then do
      adpt1014 = adpt1014 + 4 /* set flag   */
      hardflag = 0
      end
      if num33 = 5 then do
      adpt1014 = adpt1014 + 5 /* set flag   */
      hardflag = 0
      end
      if num33 = 6 then do
      adpt1014 = adpt1014 + 6 /* set flag   */
      hardflag = 0
      end
      if num33 = 7 then do
      adpt1014 = adpt1014 + 7 /* set flag   */
      hardflag = 0
      end
      if num33 = 8 then do
      adpt1014 = adpt1014 + 8 /* set flag   */
      hardflag = 0
      end
      if num33 = 9 then do
      adpt1014 = adpt1014 + 9 /* set flag   */
      hardflag = 0
      end
     end

     If hardflag = 1 then do
      CALL LINEOUT f2, partn desc qty /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     hardflag = 1
  end  /* do */

     If dasd2433 > 0 then do
      CALL LINEOUT f2, out20 dasd2433 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If hard9590 > 0 then do
      CALL LINEOUT f2, out56 hard9590 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt8942 > 0 then do
      CALL LINEOUT f2, out21 adpt8942 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt1592 > 0 then do
      CALL LINEOUT f2, out57 adpt1592 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt6540 > 0 then do
      CALL LINEOUT f2, out58 adpt6540 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If hard9501 > 0 then do
      CALL LINEOUT f2, out52 hard9501 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt0149 > 0 then do
      CALL LINEOUT f2, out22 adpt0149 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt6406 > 0 then do
      CALL LINEOUT f2, out23 adpt6406 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt6407 > 0 then do
      CALL LINEOUT f2, out24 adpt6407 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt6412 > 0 then do
      CALL LINEOUT f2, out25 adpt6412 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt6413 > 0 then do
      CALL LINEOUT f2, out26 adpt6413 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt6609 > 0 then do
      CALL LINEOUT f2, out27 adpt6609 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If hard9502 > 0 then do
      CALL LINEOUT f2, out53 hard9502 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt1091 > 0 then do
      CALL LINEOUT f2, out28 adpt1091 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt3043 > 0 then do
      CALL LINEOUT f2, out29 adpt3043 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If hard9503 > 0 then do
      CALL LINEOUT f2, out54 hard9503 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt2000 > 0 then do
      CALL LINEOUT f2, out30 adpt2000 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If hard9504 > 0 then do
      CALL LINEOUT f2, out55 hard9504 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt2530 > 0 then do
      CALL LINEOUT f2, out31 adpt2530 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end

     If adpt1014 > 0 then do
      CALL LINEOUT f2, out32 adpt1014 /* so write out to file */
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end  /* if */
     end


  /* all hardware has been written out, no check software flags */

    if sftflg01 = 1 then do
    CALL LINEOUT f2, out01
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg02 = 1 then do
    CALL LINEOUT f2, out02
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg03 = 1 then do
    CALL LINEOUT f2, out03
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg04 = 1 then do
    CALL LINEOUT f2, out04
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg05 = 1 then do
    CALL LINEOUT f2, out05
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg06 = 1 then do
    CALL LINEOUT f2, out06
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg07 = 1 then do
    CALL LINEOUT f2, out07
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg08 = 1 then do
    CALL LINEOUT f2, out08
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg09 = 1 then do
    CALL LINEOUT f2, out09
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg10 = 1 then do
    CALL LINEOUT f2, out10
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg11 = 1 then do
    CALL LINEOUT f2, out11
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg12 = 1 then do
    CALL LINEOUT f2, out12
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg13 = 1 then do
    CALL LINEOUT f2, out13
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg14 = 1 then do
    CALL LINEOUT f2, out14
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg15 = 1 then do
    CALL LINEOUT f2, out15
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg16 = 1 then do
    CALL LINEOUT f2, out16
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg17 = 1 then do
    CALL LINEOUT f2, out17
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg18 = 1 then do
    CALL LINEOUT f2, out18
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if sftflg19 = 1 then do
    CALL LINEOUT f2, out19
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d8504001 = 1 then do
    CALL LINEOUT f2, out33
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d8504021 = 1 then do
    CALL LINEOUT f2, out34
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9524001 = 1 then do
    CALL LINEOUT f2, out35
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9525001 = 1 then do
    CALL LINEOUT f2, out36
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9525B01 = 1 then do
    CALL LINEOUT f2, out37
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9527001 = 1 then do
    CALL LINEOUT f2, out38
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9521001 = 1 then do
    CALL LINEOUT f2, out39
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9524T01 = 1 then do
    CALL LINEOUT f2, out40
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9525T01 = 1 then do
    CALL LINEOUT f2, out41
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9527T01 = 1 then do
    CALL LINEOUT f2, out42
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9521T01 = 1 then do
    CALL LINEOUT f2, out43
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9524T21 = 1 then do
    CALL LINEOUT f2, out44
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9525T21 = 1 then do
    CALL LINEOUT f2, out45
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9527T21 = 1 then do
    CALL LINEOUT f2, out46
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d9521T21 = 1 then do
    CALL LINEOUT f2, out47
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d6321001 = 1 then do
    CALL LINEOUT f2, out48
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d6324001 = 1 then do
    CALL LINEOUT f2, out49
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d6325001 = 1 then do
    CALL LINEOUT f2, out50
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

    if d6327001 = 1 then do
    CALL LINEOUT f2, out51
      if (RESULT = 1) then do
        say "Error writing " f2
        exit
      end
    end

  /* close the output file */
  CALL LINEOUT f2
  Say "File reorganization complete"

if partn = hrd01 then do
if s8600001 = 1 & hard5639 = 1 then say " "
else say "Error 11, must have FC 5639 with 8600-001"
end

if partn = hrd02 then do
if s8600002 = 1 & hard5639 = 1 then say " "
else say "Error 11, must have FC 5639 with 8600-002"
end

if partn = hrd03 then do
if hard5519 = 1 & s8600003 = 1 then say " "
else say "Error 15, FC 5519 only valid with 8600-003"
end

if partn = hrd03 then do
if hard2431 = 1 & s8600003 = 1 then say " "
else say "Error 85, FC 2431 only valid with 8600-003"
end

if partn = hrd03 then do
if hard2432 = 1 & s8600003 = 1 then say " "
else say "Error 85, FC 2432 only valid with 8600-003"
end

if dasd2433 > 0 then say " "
else say "Error 120, FC 2433 must be 1 or greater"

if arry9001 = 1 then do
if arry9001 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9001"
end

if arry9002 = 1 then do
if arry9002 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9002"
end

if arry9003 = 1 then do
if arry9003 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9003"
end

if arry9004 = 1 then do
if arry9004 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9004"
end

if arry9005 = 1 then do
if arry9005 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9005"
end

if arry9006 = 1 then do
if arry9006 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9006"
end

if arry9007 = 1 then do
if arry9007 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9007"
end

if arry9008 = 1 then do
if arry9008 = 1 & hard9507 = 1 | hard9519 = 1 | hard9516 = 1 then say " "
else say "Error 332, FC 9507 or FC 9519 or FC 9516 required with FC 9008"
end

if hard9510 = 1 then do
if hard9510 = 1 | hard9511 = 1 | hard9512 = 1 then say " "
else say "Error 918, FC 9510 or FC 9511 or FC 9512 required"
end

if hard9505 = 1 then do
if hard9505 = 1 & hard9508 = 1 | hard9509 = 1 then say " "
else say "Error 920, FC 9508 or FC 9509 required with FC 9505"
end

if hard9506 = 1 then do
if hard9506 = 1 & hard9508 = 1 then say " "
else say "Error 930, FC 9508 required with FC 9506"
end

if hard9515 = 1 then do
if hard9515 = 1 & hard9509 = 1 then say " "
else say "Error 931, FC 9509 required with FC 9515"
end

if hard9517 = 1 then do
if hard9517 = 1 & hard9512 = 1 then say " "
else say "Error 939, FC 9512 required with FC 9517"
end

if hard9518 = 1 then do
if hard9518 = 1 & hard9512 = 1 & hard9517 = 1 then say " "
else say "Error 942, FC 9512 and FC 9517 required with FC 9518"
end

if hard9519 = 1 then do
if hard9519 = 1 & hard9512 = 1 then say " "
else say "Error 943, FC 9512 required with FC 9519"
end

if hard9520 = 1 then do
if hard9520 = 1 & hard9512 = 1 & hard9517 = 1 then say " "
else say "Error 946, FC 9512 and FC 9517 required with FC 9520"
end

if hard9507 = 1 then do
if hard9507 = 1 & hard9510 = 1 then say " "
else say "Error 948, FC 9510 required with FC 9507"
end

if hard9508 = 1 then do
if hard9508 = 1 & hard9510 = 1 then say " "
else say "Error 949, FC 9510 required with FC 9508"
end

if hard9516 = 1 then do
if hard9516 = 1 & hard9511 = 1 then say " "
else say "Error 951, FC 9511 required with FC 9516"
end

if hard9509 = 1 then do
if hard9509 = 1 & hard9511 = 1 then say " "
else say "Error 952, FC 9511 required with FC 9509"
end

Say CENTER('Please enter the printer port number to where',78)
Say CENTER('this file should be routed  1 = LPT1; 2 = LPT2; 3 = LPT3.',78)
Say
Parse Upper Pull printnum
    If printnum = 1 then do
    print "/D:lpt1" f2
    end
    if printnum = 2 then do
    print "/D:lpt2" f2
    end
    if printnum = 3 then do
    print "/D:lpt3" f2
    end
  exit

mesg1:
  Say "Syntax : AASVER "
  Say ""
  Say "Where f1=saved configuration name with .CF2 extension"
  return
